> ## Documentation Index
> Fetch the complete documentation index at: https://next.gentrace.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single experiment

> Retrieve the details of a experiment by ID



## OpenAPI

````yaml https://raw.githubusercontent.com/gentrace/gentrace-openapi/main/spec.json get /v4/experiments/{id}
openapi: 3.1.0
info:
  title: Gentrace API
  version: 0.1.0
  description: API documentation for Gentrace services.
  contact:
    name: Gentrace
    url: https://gentrace.ai
    email: support@gentrace.ai
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://gentrace.ai/api
    description: API Endpoint
security:
  - bearerAuth: []
externalDocs:
  url: https://github.com/gentrace/gentrace-openapi
  description: Gentrace OpenAPI Github
paths:
  /v4/experiments/{id}:
    get:
      tags:
        - Experiments
      summary: Get a single experiment
      description: Retrieve the details of a experiment by ID
      operationId: getExperiment
      parameters:
        - $ref: '#/components/parameters/ExperimentIdPathParam'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Experiment'
        '400':
          description: >-
            Client provided an invalid request for the experiment. Please check
            the request format and parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '401':
          description: No valid API key provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '404':
          description: The experiment resource does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
        '500':
          description: Something went wrong on Gentrace's end.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
components:
  parameters:
    ExperimentIdPathParam:
      in: path
      name: id
      description: Experiment UUID
      schema:
        $ref: '#/components/schemas/ExperimentIdParam'
      required: true
  schemas:
    Experiment:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Experiment UUID
          example: 123e4567-e89b-12d3-a456-426614174000
        createdAt:
          type: string
          description: Creation timestamp (ISO 8601)
          example: '2025-04-01T00:00:00.000Z'
        updatedAt:
          type: string
          description: Last update timestamp (ISO 8601)
          example: '2025-04-01T00:00:00.000Z'
        name:
          type:
            - string
            - 'null'
          description: Friendly experiment name
          example: OpenAI o3-mini prompt
        pipelineId:
          type: string
          description: Pipeline UUID
          example: 123e4567-e89b-12d3-a456-426614174000
        metadata:
          type:
            - object
            - 'null'
          additionalProperties: true
          description: Metadata
          example:
            key: value
      required:
        - id
        - createdAt
        - updatedAt
        - name
        - pipelineId
        - metadata
    BadRequestError:
      type: object
      properties:
        message:
          type: string
          description: A description of the validation error
          example: 'Invalid parameters: ''name'' field is required'
      required:
        - message
    UnauthorizedError:
      type: object
      properties:
        message:
          type: string
          description: Authentication error details
          example: Invalid or expired API key
      required:
        - message
    NotFoundError:
      type: object
      properties:
        message:
          type: string
          description: Resource not found details
          example: Resource with ID '123e4567-e89b-12d3-a456-426614174000' not found
      required:
        - message
    InternalServerError:
      type: object
      properties:
        message:
          type: string
          description: Internal server error details
          example: Internal server error occurred while processing the request
      required:
        - message
    ExperimentIdParam:
      type: string
      format: uuid
      description: Experiment UUID
      example: 123e4567-e89b-12d3-a456-426614174000
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Enter Gentrace API key (Format: Authorization: Bearer <token>)'

````